Update plural data to CLDR 24
Closed, ResolvedPublic

Description

CLDR 24 was released with changed plural data formatting. The plural rules converter should be updated to work with the updated format, so that MediaWiki's plural rules can be updated.


Version: unspecified
Severity: normal

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz56931.
siebrand created this task.Via LegacyNov 12 2013, 8:14 AM
santhosh added a comment.Via ConduitNov 12 2013, 8:25 AM

Both javascript(CLDRPluralRuleParser.js) and PHP(CLDRPluralRuleEvaluator.php) need to update new format.

Work in progress for updating javascript parser - https://github.com/santhoshtr/CLDRPluralRuleParser/tree/cldr24

gerritbot added a comment.Via ConduitDec 11 2013, 11:55 PM

Change 100931 had a related patch set uploaded by Tim Starling:
Plural rules: updates for UTS #35 Rev 33

https://gerrit.wikimedia.org/r/100931

gerritbot added a comment.Via ConduitDec 23 2013, 2:00 PM

Change 100931 merged by jenkins-bot:
Plural rules: updates for UTS #35 Rev 33

https://gerrit.wikimedia.org/r/100931

gerritbot added a comment.Via ConduitJan 1 2014, 11:37 AM

Change 104795 had a related patch set uploaded by Santhosh:
Update plural rules to CLDR 24

https://gerrit.wikimedia.org/r/104795

gerritbot added a comment.Via ConduitJan 3 2014, 7:17 AM

Change 104795 merged by jenkins-bot:
Update plural rules to CLDR 24

https://gerrit.wikimedia.org/r/104795

gerritbot added a comment.Via ConduitJan 3 2014, 8:18 AM

Change 105148 had a related patch set uploaded by Santhosh:
Update Russian(ru) plural rules to CLDR 24

https://gerrit.wikimedia.org/r/105148

gerritbot added a comment.Via ConduitJan 3 2014, 8:36 AM

Change 105150 had a related patch set uploaded by Siebrand:
Update plural rules to CLDR 24

https://gerrit.wikimedia.org/r/105150

gerritbot added a comment.Via ConduitJan 3 2014, 8:39 AM

Change 105148 merged by jenkins-bot:
Update Russian(ru) plural rules to CLDR 24

https://gerrit.wikimedia.org/r/105148

gerritbot added a comment.Via ConduitJan 3 2014, 10:57 AM

Change 105162 had a related patch set uploaded by Santhosh:
CLDR 24 update - release notes

https://gerrit.wikimedia.org/r/105162

gerritbot added a comment.Via ConduitJan 3 2014, 11:57 AM

Change 105162 merged by jenkins-bot:
CLDR 24 update - release notes

https://gerrit.wikimedia.org/r/105162

gerritbot added a comment.Via ConduitJan 3 2014, 1:45 PM

Change 105177 had a related patch set uploaded by Siebrand:
Backport the CLDR 24 changes from 1.23

https://gerrit.wikimedia.org/r/105177

gerritbot added a comment.Via ConduitJan 3 2014, 1:51 PM

Change 105177 merged by jenkins-bot:
Backport the CLDR 24 changes from 1.23

https://gerrit.wikimedia.org/r/105177

gerritbot added a comment.Via ConduitJan 3 2014, 3:01 PM

Change 105150 abandoned by Siebrand:
Update plural rules to CLDR 24

https://gerrit.wikimedia.org/r/105150

Amire80 added a comment.Via ConduitJan 4 2014, 1:06 PM
duplicatebug added a comment.Via ConduitMar 1 2014, 12:30 PM

Merged on master and backports are done/merged -> RESOLVED FIXED

Nemo_bis added a subscriber: Nemo_bis.EditedVia WebJan 9 2015, 6:09 PM

It seems Latvian (lv) translators didn't notice the change in plural rules till now, one year later. Sorry, 2 years and a half; they were still using pre-CLDR 21 rules.
https://translatewiki.net/wiki/Thread:Support/Bot_request_for_Latvian(lv)_plural_translations

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.